org.w3._2000._09.xmldsig

## Class KeyInfo

- java.lang.Object
- - org.w3._2000._09.xmldsig.KeyInfo

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:18:55+02:00",
                 comments="JAXB RI v2.2.11")
      public class KeyInfo
      extends Object
      implements Serializable

  Java class for KeyInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyName"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyValue"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}RetrievalMethod"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}X509Data"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}PGPData"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SPKIData"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}MgmtData"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getContent()` Gets the value of the content property.
    `String` | `getId()` Gets the value of the id property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyInfo

          public KeyInfo()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `PGPData` `SPKIData` `JAXBElement``<``String``>` `RetrievalMethod` `JAXBElement``<``String``>` `X509Data` `String` `Element` `KeyValue`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.